﻿#chatbot-container {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 1000;
}

#chatbot-widget {
    position: absolute;
    right: 0;
    bottom: 0;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 10px 20px rgb(0 0 0 / 45%);
    transition: transform 0.2s;
}

    #chatbot-widget:hover {
        transform: scale(1.2);
    }

    #chatbot-widget i {
        font-size: 24px;
        color: var(--white);
    }

#chatbot-panel {
    position: absolute;
    right: 0;
    bottom: 0;
    width: 350px;
    height: 500px;
    background: var(--white);
    border-radius: 10px;
    box-shadow: 0 10px 20px rgb(0 0 0 / 45%);
    flex-direction: column;
    border: 1px solid #ddd;
    /* hidden by default */
    transform: scale(0);
    opacity: 0;
    display: flex;
    transition: transform 0.3s cubic-bezier(0.4, 0, 0.2, 1), opacity 0.3s cubic-bezier(0.4, 0, 0.2, 1);
    transform-origin: bottom right;
}

    #chatbot-panel.show {
        transform: scale(1);
        opacity: 1;
    }

#chatbot-header {
    background: var(--navbar-gray);
    color: var(--white);
    padding: 15px;
    border-radius: 10px 10px 0 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
    #chatbot-header-buttons {
        display: flex;
    }

    #chatbot-header button {
        background: none;
        border: none;
        color: var(--white);
        font-size: 20px;
        padding: 0;
        display: flex;
        align-items: center;
        justify-content: center;
    }

#chatbot-messages {
    flex: 1;
    padding: 15px;
    overflow-y: auto;
    background: var(--light-gray);
}

.chatbot-user-message, .chatbot-bot-message {
    margin: 10px 0;
    padding: 10px 12px;
    border-radius: 10px;
    width: fit-content;
    max-width: 80%;
    overflow-wrap: break-word;
    white-space: pre-line;
}

.chatbot-user-message {
    background: var(--blue-accent);
    color: var(--white);
    margin-left: auto;
}

.chatbot-bot-message {
    background: var(--white);
}
    .chatbot-bot-message.chatbot-processing {
        font-style: italic;
    }

#chatbot-input-container {
    padding: 20px;
    border-top: 1px solid #eee;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    background: var(--white);
    border-radius: 0 0 10px 10px;
}

#chatbot-send {
    padding: 10px;
    background: var(--blue-accent);
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
}

    #chatbot-send i {
        font-size: 24px;
        color: var(--white);
    }
